DO $$ 
BEGIN 
    IF NOT EXISTS (
        SELECT 1 
        FROM information_schema.columns 
        WHERE table_schema = 'AKUZ' 
        AND table_name = 't_onk_registry_card' 
        AND column_name = 'rejectiondate'
    ) THEN
        ALTER TABLE AKUZ.T_ONK_REGISTRY_CARD ADD COLUMN rejectiondate timestamp NULL;
    END IF;
END $$;